<?php

namespace Tanzsport;

class ModuleErgebnisarchivLigabereichFormNWS extends ModuleErgebnisarchivLigabereich
{

    protected $strTemplate = 'mod_ergebnisarchiv_ligabereich';

    /**
     * @return string
     */
    protected function getFrontendModuleId()
    {
        return 'td_ergebnisarchiv_ligabereich_form_nws';
    }

    /**
     * @return array
     */
    protected function getLigabereichIds()
    {
        return [Ergebnisarchiv::BEREICH_F_N, Ergebnisarchiv::BEREICH_F_NW, Ergebnisarchiv::BEREICH_F_W, Ergebnisarchiv::BEREICH_F_S, Ergebnisarchiv::BEREICH_F_SW];
    }

    /**
     * @return array
     */
    protected function getMappedLigabereiche()
    {
        return [Ergebnisarchiv::BEREICH_F_NW => [Ergebnisarchiv::BEREICH_F_N, Ergebnisarchiv::BEREICH_F_W], Ergebnisarchiv::BEREICH_F_SW => [Ergebnisarchiv::BEREICH_F_S, Ergebnisarchiv::BEREICH_F_W]];
    }

    /**
     * @return string
     */
    protected function getTypId()
    {
        return 'F';
    }

    /**
     * @return string
     */
    protected function getImageMapTemplate()
    {
        return 'imagemap_ligabereich_f_nws';
    }


}
